summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorWim Muskee <wimmuskee@gmail.com>2019-12-28 09:58:50 +0100
committerRobin H. Johnson <robbat2@gentoo.org>2020-04-05 14:58:46 -0700
commita4dfc3e3d731d1ff1a726bd688c980a92764547a (patch)
treeb29e81adc81cf8a1edf3791f312bbf1b9440780c /dev-util/sgb/sgb-20090810.ebuild
parentdev-util/sgb: update HOMEPAGE, SRC_URI (diff)
downloadgentoo-a4dfc3e3d731d1ff1a726bd688c980a92764547a.tar.gz
gentoo-a4dfc3e3d731d1ff1a726bd688c980a92764547a.tar.bz2
gentoo-a4dfc3e3d731d1ff1a726bd688c980a92764547a.zip
dev-util/sgb: version bump to 20090810
Closes: https://github.com/gentoo/gentoo/pull/14147 Signed-off-by: Wim Muskee <wimmuskee@gmail.com> (cherry picked from commit 935d69960bce72c661612f655f75f55b9133171d) Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
Diffstat (limited to 'dev-util/sgb/sgb-20090810.ebuild')
-rw-r--r--dev-util/sgb/sgb-20090810.ebuild59
1 files changed, 59 insertions, 0 deletions
diff --git a/dev-util/sgb/sgb-20090810.ebuild b/dev-util/sgb/sgb-20090810.ebuild
new file mode 100644
index 00000000000..4f6d61def77
--- /dev/null
+++ b/dev-util/sgb/sgb-20090810.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="Stanford GraphBase"
+HOMEPAGE="http://ftp.cs.stanford.edu/pub/sgb/"
+SRC_URI="http://ftp.cs.stanford.edu/pub/sgb/sgb-${PV:0:4}-${PV:4:2}-${PV:6:2}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE=""
+
+DEPEND="virtual/tex-base"
+
+S="${WORKDIR}"
+
+PATCHES=(
+ "${FILESDIR}"/sgb-20030623-parallel-make-fix.patch
+ "${FILESDIR}"/sgb-20030623-destdir.patch
+)
+
+src_compile() {
+ local vars=(
+ CFLAGS="${CFLAGS}"
+ SGBDIR=/usr/share/${PN}
+ INCLUDEDIR=/usr/include/sgb
+ LIBDIR=/usr/$(get_libdir)
+ BINDIR=/usr/bin
+ #CWEBINPUTS=/usr/share/${PN}/cweb
+ #LDFLAGS="${LDFLAGS}"
+ )
+ # bug #299028
+ emake -j1 "${vars[@]}" lib demos tests
+}
+
+src_test() {
+ emake tests
+}
+
+src_install() {
+ local vars=(
+ SGBDIR=/usr/share/${PN}
+ INCLUDEDIR=/usr/include/sgb
+ LIBDIR=/usr/$(get_libdir)
+ BINDIR=/usr/bin
+ CFLAGS="${CFLAGS}"
+ # TODO: why are they commented out above?
+ LDFLAGS="${LDFLAGS}"
+ CWEBINPUTS=/usr/share/${PN}/cweb
+ )
+ emake DESTDIR="${D}" "${vars[@]}" install
+
+ # we don't need no makefile
+ rm "${D}"/usr/include/sgb/Makefile || die
+
+ dodoc ERRATA README
+}